Force cluster upgrade for non Semver versioning

I am not following Semver versioning and run into the following, is there any way I can force an upgrade without doing a reinstall (I have already tried passing --force param)

Thu Dec 12 06:34:59 UTC Importing application privaci-appliance v1.0.0-10rc
Thu Dec 12 06:36:11 UTC Synchronizing application with Docker registry 10.151.230.2:5000
Thu Dec 12 06:37:51 UTC Application has been uploaded
[ERROR]: update version (1.0.0-10rc) must be greater than the currently installed version (1.0.0-9rc)
1 Like

Hi @mtariq,
I have a similar problem but even my later version is not being recognized. How did you give the newer version? Did you do it in app.yaml like this?

metadata:
  name: privaci-appliance
  resourceVersion: "1.0.0-10rc"

or did you update another field?